import React, { useState } from "react";
import "bootstrap/dist/css/bootstrap.min.css";
import axios from "axios";
import logo from "./assets/login.png";
import Validation from "./validation.js";

function Login() {
  // const [email, setEmail] = useState("");
  // const [password, setPassword] = useState("");
  const [values, setValues] = useState({
    email: "",
    password: "",
  });

  const [errors, setErrors] = useState({});

  function handleInput(e) {
    const newobj = { ...values, [e.target.name]: e.target.value };
    setValues(newobj);
  }
  function handlesubmit(e) {
    e.preventDefault();
    setErrors(Validation(values));

    axios
      .post("http://localhost:5000/login", {
        email: values.email,
        password: values.password,
      })
      .then((res) => console.log(res))
      .catch((err) => console.log(err));
  }
  return (
    <div className="doc-div d-flex vh-100 justify-content-center align-items-center">
      <div className="form-div p-3 bg-white w-25 ">
        <div className="text-center">
          <img src={logo} alt="login logo" className="w-50" />
        </div>
        <h5 className="text-center">Please login to your account</h5>
        <form onSubmit={handlesubmit}>
          <div className="">
            <label htmlFor="email"></label>
            <input
              className="form-control"
              type="email"
              name="email"
              placeholder="Enter email"
              onChange={handleInput}
            ></input>
            {errors.email && <p style={{ color: "red" }}>{errors.email}</p>}
          </div>
          <div className="mb-3">
            <label htmlFor="password"></label>
            <input
              className="form-control"
              type="password"
              name="password"
              placeholder="Please enter valid password"
              onChange={handleInput}
            ></input>
            {errors.password && (
              <p style={{ color: "red" }}>{errors.password}</p>
            )}
          </div>
          <button className="btn btn-success">Login</button>
        </form>
      </div>
    </div>
  );
}

export default Login;
